package web

import (
	"embed"
	"io/fs"
)

//go:embed all:*.html all:static/*
var webFiles embed.FS

// GetFS returns the embedded web filesystem  
func GetFS() fs.FS {
	return webFiles
}

// GetFile reads a file from the embedded filesystem
func GetFile(path string) ([]byte, error) {
	return webFiles.ReadFile(path)
}